const http = require("http");


const PORT = 3000;

function requestListener(request, response) {
    console.log("method:  " + request.method);
    console.log("URL:     " + request.url);
    console.log("headers: " + JSON.stringify(request.headers));

    if (request.method === "POST"){

    }
    else // send back nothing if it wasn't a POST
        response.end();
}
    
http.createServer(requestListener).listen(PORT);
console.log(`Server running at http://localhost:${PORT}`);
